<?php

declare(strict_types=1);

namespace LogseqGem;

use League\CommonMark\Node\Block\Document;
use League\CommonMark\Node\Inline\Text;

class GemlogParser extends Parser {
    public function getTitles() {
        $titles = [];

        foreach ($this->document->iterator() as $node) {
            if (!$node instanceof Text) {
                continue;
            }

            $text = $node->getLiteral();
            if (!preg_match('/\[\[(.+)\]\]/', $text, $matches)) {
                continue;
            }

            $titles[] = $matches[1];
        }

        return $titles;
    }
}
